/*
 * Stuff common to both GutenPalm and makeztxt
 */

#ifndef GUTENPALM_COMMON_H
#define GUTENPALM_COMMON_H


/* Padding is no good */
#if defined(__GNUC__) && defined(__UNIX__)
#  pragma pack(2)
#endif

/*  The default creator is GutenPalm 'GPlm'  */
#define GPLM_CREATOR_ID         "GPlm"
/*  Databases of type 'zTXT'  */
#define ZTXT_TYPE_ID            "zTXT"
/*  Size of one database record  */
#define RECORD_SIZE             8192
/*  Allow largest WBIT size for data.  Lower with command line options
    in makeztxt  */
#define MAXWBITS                15
/* Max length for a bookmark/annotation title */
#define MAX_BMRK_LENGTH         20


typedef struct zTXT_record0Type {
  UInt16        version;
  UInt16        numRecords;             /* Number of data records           */
  UInt32        size;                   /* Size in bytes of compressed data */
  UInt16        recordSize;             /* Size of a single data record     */
  UInt16        numBookmarks;           /* Number of bookmarks in DB        */
  UInt16        bookmarkRecord;         /* Record containing bookmarks      */
  UInt16        numAnnotations;         /* Number of annotation records     */
  UInt16        annotationRecord;       /* Record # of annotation index     */
  UInt8         padding[0x20 - 18];     /* Pad to a size of 0x20 bytes      */
} zTXT_record0;

#endif
